var _a;
export default class Workspace {
  static openAppActivity(resourceId, pkObject) {
    var _a;
    (_a = window["workspace"]) === null || _a === void 0 ? void 0 : _a.openAppActivity(resourceId, pkObject);
  }
  static getAppLabel(resourceID) {
    if ((window === null || window === void 0 ? void 0 : window["workspace"]) == undefined) {
      return;
    }
    if (window["workspace"].getAppLabel == undefined) {
      window["workspace"].getAppLabel = (id) => {
        return (id || "").split(".").pop();
      };
    }
    return window["workspace"].getAppLabel(resourceID);
  }
  static setScreenToUseV3Layout() {
    var _a;
    (_a = window["workspace"]) === null || _a === void 0 ? void 0 : _a.setScreenToUseV3Layout();
  }
  static setScreenToUseOldLayout() {
    var _a;
    (_a = window["workspace"]) === null || _a === void 0 ? void 0 : _a.setScreenToUseOldLayout();
  }
  static showDesktop() {
    var _a, _b;
    (_b = (_a = window["workspace"]) === null || _a === void 0 ? void 0 : _a.showDesktop) === null || _b === void 0 ? void 0 : _b.call(_a);
  }
  static searchApp() {
    var _a, _b;
    (_b = (_a = window["workspace"]) === null || _a === void 0 ? void 0 : _a.searchApp) === null || _b === void 0 ? void 0 : _b.call(_a);
  }
  static openHelp() {
    var _a, _b;
    (_b = (_a = window["workspace"]) === null || _a === void 0 ? void 0 : _a.openHelp) === null || _b === void 0 ? void 0 : _b.call(_a);
  }
  static applicationClick() {
    var _a, _b;
    if (!((_a = window["workspace"]) === null || _a === void 0 ? void 0 : _a.applicationClick)) {
      return;
    }
    (_b = window["workspace"]) === null || _b === void 0 ? void 0 : _b.applicationClick();
  }
}
Workspace.resourceID = (_a = window["workspace"]) === null || _a === void 0 ? void 0 : _a.resourceID;
